PHPExcel

# Class: PHPExcel_NamedRange

Source Location: /PHPExcel/NamedRange.php

### Class Overview

PHPExcel_NamedRange

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getLocalOnly
- getName
- getRange
- getScope
- getWorksheet
- resolveRange
- setLocalOnly
- setName
- setRange
- setScope
- setWorksheet
- __clone

### Class Details

[line 36]
PHPExcel_NamedRange

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method resolveRange [line 228]

`static PHPExcel_NamedRange resolveRange( [string $pNamedRange = ''], PHPExcel_Worksheet $pSheet)`

Resolve a named range to a regular cell range

#### Tags:

access: | public

#### Parameters:

string | $pNamedRange | Named range
PHPExcel_Worksheet|null | $pSheet | Scope. Use null for global scope

[ Top ]

### constructor __construct [line 82]

`PHPExcel_NamedRange __construct( [string $pName = null], PHPExcel_Worksheet $pWorksheet, [string $pRange = 'A1'], [bool $pLocalOnly = false], [PHPExcel_Worksheet|null $pScope = null])`

Create a new NamedRange

#### Tags:

access: | public

#### Parameters:

string | $pName |
PHPExcel_Worksheet | $pWorksheet |
string | $pRange |
bool | $pLocalOnly |
PHPExcel_Worksheet|null | $pScope | Scope. Only applies when $pLocalOnly = true. Null for global scope.

[ Top ]

### method getLocalOnly [line 184]

`bool getLocalOnly( )`

Get localOnly

#### Tags:

access: | public

[ Top ]

### method getName [line 103]

`string getName( )`

Get name

#### Tags:

access: | public

[ Top ]

### method getRange [line 162]

`string getRange( )`

Get range

#### Tags:

access: | public

[ Top ]

### method getScope [line 205]

`PHPExcel_Worksheet|null getScope( )`

Get scope

#### Tags:

access: | public

[ Top ]

### method getWorksheet [line 140]

`PHPExcel_Worksheet getWorksheet( )`

Get worksheet

#### Tags:

access: | public

[ Top ]

### method setLocalOnly [line 194]

`PHPExcel_NamedRange setLocalOnly( [bool $value = false])`

Set localOnly

#### Tags:

access: | public

#### Parameters:

bool | $value |

[ Top ]

### method setName [line 113]

`PHPExcel_NamedRange setName( [string $value = null])`

Set name

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setRange [line 172]

`PHPExcel_NamedRange setRange( [string $value = null])`

Set range

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setScope [line 215]

`PHPExcel_NamedRange setScope( [PHPExcel_Worksheet $value = null])`

Set scope

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet|null | $value |

[ Top ]

### method setWorksheet [line 150]

`PHPExcel_NamedRange setWorksheet( [PHPExcel_Worksheet $value = null])`

Set worksheet

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $value |

[ Top ]

### method __clone [line 235]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:44 +0200 by phpDocumentor 1.4.4